Get Ads Detail
curl --request GET \
--url https://tiktok-api23.p.rapidapi.com/api/trending/ads/detail \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://tiktok-api23.p.rapidapi.com/api/trending/ads/detail"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://tiktok-api23.p.rapidapi.com/api/trending/ads/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ad_title": "Hurry up! 40%OFF TODAY",
"brand_name": "light'f ™️",
"comment": 491,
"cost": 2,
"country_code": [
"US",
"CA",
"ES",
"CZ",
"NO",
"Pl",
"IE"
],
"ctr": 0.07,
"favorite": false,
"has_summary": true,
"highlight_text": "",
"id": "7169172119488577537",
"industry_key": "label_21102000000",
"is_search": false,
"keyword_list": [
"rain humidifier diffuser",
"anxiety and insomnia",
"this has effectively overcome insomnia",
"get your now selling fast",
"limited time offer ending today"
],
"landing_page": "https://scosy.store/products/lightf-raining-night-diffuser",
"like": 342846,
"objective_key": "campaign_objective_conversion",
"objectives": [
{
"label": "campaign_objective_conversion",
"value": 3
}
],
"pattern_label": [],
"share": 16395,
"source": "TikTok Ads Manager",
"source_key": 1,
"tag": 3,
"video_info": {
"vid": "v10033g50000d2k6t07og65kn3s9joeg",
"duration": 45.3,
"cover": "https://p16-sign-sg.tiktokcdn.com/tos-alisg-p-0051c001-sg/ocGQSgdBQCzUEIIRQeb3GpSDJ0f6NAwfB4AQLR~tplv-noop.image?dr=18692&refresh_token=5ce92a80&x-expires=1765825729&x-signature=7aK%2Fsq52VCl3%2FudAH98l3Ekbyb4%3D&t=9276707c&ps=14f1eb3e&shp=9e36835a&shcp=317596d8&idc=my",
"video_url": {
"720p": "https://v16m-default.tiktokcdn.com/8b4cc8c593174434cd367fd6d9582ada/69405cc1/video/tos/alisg/tos-alisg-ve-0051c001-sg/okqGXQ0MAhRCJ0nW8XRbDAAlgxqefUR3NB3aeg/?a=0&bti=NTU4QDM1NGA%3D&ch=0&cr=0&dr=0&lr=tiktok_business&cd=0%7C0%7C1%7C0&cv=1&br=1570&bt=785&cs=0&ds=3&ft=cApXJCz7ThWHrs0-1GZmo0P&mime_type=video_mp4&qs=0&rc=ZDs2aDs6N2loZThlPDU7O0BpanI8Nm45cjM5NTMzODYzNEBiLjBhXzI1XjUxNi9jMF9hYSNiZ3BrMmQ0cWhhLS1kMC1zcw%3D%3D&vvpl=1&l=20251215210804481E21104311144D334E&btag=e00088000"
},
"width": 576,
"height": 1024
},
"voice_over": true
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500
}Trending
Get Ads Detail
Get Ads Detail
GET
/
api
/
trending
/
ads
/
detail
Get Ads Detail
Authorizations
Rapid API Key. How can I get Rapid API Key?
Query Parameters
Ads ID
Pattern:
^\d+$Example:
"7169172119488577537"
Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

